
// 进入就加载
window.onload = function (){
    
    // 获取登录状态
    getLoginStatus();
    
    // 获取页码
    var pageNum = queryURLParams(window.location.href).p;
    
    // 检查是否有页码
    if(typeof pageNum !== "undefined" && !isNaN(pageNum)) {
        
        // 获取当前页码的列表
        getChatroomPayList(pageNum);
    } else {
        
        // 获取首页
        getChatroomPayList();
    }
}

// 获取登录状态
function getLoginStatus(){
    
    // 请求地址
    const reqUrl = 'getLoginStatus.php';
    
    $.ajax({
        type: 'POST',
        url: '../../../login/' + reqUrl,
        success: function(res){
            
            // 账号及版本信息
            if(res.code == 200){
                
                // 已登录
                const $account = $(
                    '<div class="version">'+res.version+'</div>' +
                    '<div class="user_name">'+res.user_name+' <span onclick="exitLogin();" class="exitLogin">退出</span></div>'
                );
                $(".left .account").html($account);
                $('#button-view').css('display','block');
            }else{
                
                // 未登录
                const $account = $(
                    '<div class="version">'+res.version+'</div>' +
                    '<div class="user_name">未登录</div>'
                );
                $(".left .account").html($account);
                $('#button-view').html('');
            }
        },
        error: function() {
            
            // 服务器发生错误
            $('#right .data-card').html(
                '<p class="error_text">'+reqUrl+'发生错误！请阅读使用文档通过F12调试排查问题！</p>'
            );
        }
    });
}

// 加载付费群列表
function getChatroomPayList(pageNum) {
    
    // 请求地址
    if(!pageNum){
        
        reqUrl = "getChatroomPayList.php";
    }else{
        
        // 加载当前页码并设置URL路由
        reqUrl = "getChatroomPayList.php?p=" + pageNum
        setRouter(pageNum);
    }
    
    $.ajax({
        type: 'POST',
        url: 'server/' + reqUrl,
        success: function(res){
            
            // 表头
            var $thead_HTML = $(
                '<tr>' +
                '   <th>群id</th>' +
                '   <th>群头像</th>' +
                '   <th>群名称</th>' +
                '   <th>价格</th>' +
                '   <th>页面模板</th>' +
                '   <th>访问次数</th>' +
                '   <th>访客数</th>' +
                '   <th>已支付</th>' +
                '   <th>未支付</th>' +
                '   <th>状态</th>' +
                '   <th>创建时间</th>' +
                '   <th>订单</th>' +
                '   <th style="text-align: right;">操作</th>' +
                '</tr>'
            );
            $("#right .data-list thead").html($thead_HTML);
            
            // 初始化
            initialize_getChatroomPayList();

            if(res.code == 200){
                
                for (var i=0; i<res.chatRoomPayList.length; i++) {
                    
                    // 页面模板处理
                    if(res.chatRoomPayList[i].chatroom_template == 1) {
                        
                        var chatroom_template = '官方模板';
                    }else {
                        
                        var chatroom_template = '详情模板';
                    }
                    
                    // 状态处理
                    if(res.chatRoomPayList[i].chatroom_status == 1){
                        
                        // 正常
                        var chatroom_status = 
                        '<span class="switch-on" id="'+res.chatRoomPayList[i].chatroom_id+'" onclick="changeChatroomPayStatus(this);">' +
                        '   <span class="press"></span>' +
                        '</span>';
                    }else{
                        
                        // 关闭
                        var chatroom_status = 
                        '<span class="switch-off" id="'+res.chatRoomPayList[i].chatroom_id+'" onclick="changeChatroomPayStatus(this);">' +
                        '   <span class="press"></span>' +
                        '</span>';
                    }
                    
                    // chatRoomInfo对象
                    // 用于编辑和分享
                    var chatRoomInfoObject = {
                        chatroom_id: res.chatRoomPayList[i].chatroom_id,
                        chatroom_name: res.chatRoomPayList[i].chatroom_name,
                        chatroom_leader_wxid: res.chatRoomPayList[i].chatroom_leader_wxid,
                        chatroom_amount: res.chatRoomPayList[i].chatroom_amount,
                        chatroom_template: res.chatRoomPayList[i].chatroom_template,
                        chatroom_qrcode: res.chatRoomPayList[i].chatroom_qrcode,
                        chatroom_domain: res.chatRoomPayList[i].chatroom_domain,
                        chatroom_desc: res.chatRoomPayList[i].chatroom_desc,
                        chatroom_memberNum: res.chatRoomPayList[i].chatroom_memberNum
                    };
                    
                    // 群头像
                    var chatroom_avatar = '<img src="'+res.chatRoomPayList[i].chatroom_avatar+'" class="chatroom_avatar" />';
                    
                    // 列表
                    var $tbody_HTML = $(
                        '<tr>' +
                        '   <td> '+res.chatRoomPayList[i].chatroom_id+' </td>' +
                        '   <td> '+chatroom_avatar+' </td>' +
                        '   <td> '+res.chatRoomPayList[i].chatroom_name+' </td>' +
                        '   <td> '+res.chatRoomPayList[i].chatroom_amount+' </td>' +
                        '   <td> '+chatroom_template+' </td>' +
                        '   <td> '+res.chatRoomPayList[i].chatroom_pv+' </td>' +
                        '   <td> '+res.chatRoomPayList[i].chatroom_visitor+' </td>' +
                        '   <td> '+res.chatRoomPayList[i].chatroom_isPay+' </td>' +
                        '   <td> '+res.chatRoomPayList[i].chatroom_unPay+' </td>' +
                        '   <td> '+chatroom_status+' </td>' +
                        '   <td> '+res.chatRoomPayList[i].chatroom_create_time+' </td>' +
                        '   <td><a href="orders.html?chatroom_id='+res.chatRoomPayList[i].chatroom_id+'">查看</a></td>' +
                        '   <td class="dropdown-td">' +
                        '       <div class="dropdown">' +
                        '    	    <button type="button" class="dropdown-btn" data-toggle="dropdown">•••</button>' +
                        '           <div class="dropdown-menu">' +
                        '               <span class="dropdown-item" data-toggle="modal" data-target="#shareChatRoomModal" onclick=\'shareChatRoom(' + JSON.stringify(chatRoomInfoObject) + ')\'>分享</span>' +
                        '               <span class="dropdown-item" data-toggle="modal" data-target="#editChatRoomModal" onclick=\'getChatRoomInfo(' + JSON.stringify(chatRoomInfoObject) + ')\'>编辑</span>' +
                        '               <span class="dropdown-item" id="'+res.chatRoomPayList[i].chatroom_id+'" data-toggle="modal" data-target="#delChatRoomConfirmModal" onclick="delChatRoomConfirm(this)">删除</span>' +
                        '           </div>' +
                        '       </div>' +
                        '   </td>' +
                        '</tr>'
                    );
                    $("#right .data-list tbody").append($tbody_HTML);
                }
                
                // 分页组件
                fenyeComponent(res.page,res.allpage,res.nextpage,res.prepage);
                
            }else{
                
                // 无权限
                if(res.code == 206){
                    
                    $('#button-view').html('');
                    noData('该插件不对外开放使用');
                    return;
                }

                // 未登录
                if(res.code == 201){
                    
                    // 跳转到登录页面
                    jumpUrl('../login/');
                }
                
                // 非200状态码
                noData(res.msg);
            }
            
      },
      error: function(){
        
        // 服务器发生错误
        $('#right .data-card').html(
            '<p class="error_text">'+reqUrl+'发生错误！请阅读使用文档通过F12调试排查问题！</p>'
        );
      },
    });
}

// 分页组件
function fenyeComponent(thisPage,allPage,nextPage,prePage){
    
    if(thisPage == 1 && allPage == 1){

        $("#right .data-card .fenye").css("display","none");
    }else if(thisPage == 1 && allPage > 1){

        var $fenyeComponent_HTML = $(
        '<ul>' +
        '   <li>'+ 
        '       <button id="'+nextPage+'" onclick="getFenye(this);" title="下一页">'+ 
        '           <img src="../../static/img/nextPage.png" />'+ 
        '       </button>'+ 
        '   </li>' +
        '   <li>'+ 
        '       <button id="'+allPage+'" onclick="getFenye(this);" title="最后一页">'+ 
        '           <img src="../../static/img/lastPage.png" />'+ 
        '       </button>'+ 
        '   </li>' +
        '</ul>'
        );
        $("#right .data-card .fenye").css("display","block");
        
    }else if(thisPage == allPage){

        var $fenyeComponent_HTML = $(
        '<ul>' +
        '   <li>'+ 
        '       <button id="1" onclick="getFenye(this);" title="第一页">'+ 
        '           <img src="../../static/img/firstPage.png" />'+ 
        '       </button>'+ 
        '   </li>' +
        '   <li>'+ 
        '   <button id="'+prePage+'" onclick="getFenye(this);" title="上一页">'+ 
        '       <img src="../../static/img/prevPage.png" />'+ 
        '   </button>'+ 
        '   </li>' +
        '</ul>'
        );
        $("#right .data-card .fenye").css("display","block");
        
    }else{
        
        var $fenyeComponent_HTML = $(
        '<ul>' +
        '   <li>'+ 
        '       <button id="1" onclick="getFenye(this);" title="第一页">'+ 
        '           <img src="../../static/img/firstPage.png" />'+ 
        '       </button>'+ 
        '   </li>' +
        '   <li>'+ 
        '       <button id="'+prePage+'" onclick="getFenye(this);" title="上一页">'+ 
        '           <img src="../../static/img/prevPage.png" />'+ 
        '       </button>'+ 
        '   </li>' +
        '   <li>'+ 
        '       <button id="'+nextPage+'" onclick="getFenye(this);" title="下一页">'+ 
        '           <img src="../../static/img/nextPage.png" />'+ 
        '       </button>'+ 
        '   </li>' +
        '   <li>'+ 
        '       <button id="'+allPage+'" onclick="getFenye(this);" title="最后一页">'+ 
        '           <img src="../../static/img/lastPage.png" />'+ 
        '       </button>'+ 
        '   </li>' +
        '</ul>'
        );
        $("#right .data-card .fenye").css("display","block");
        
    }
    $("#right .data-card .fenye").html($fenyeComponent_HTML);
}

// 获取分页数据
function getFenye(e){
    
    // 获取该页列表
    getChatroomPayList(e.id);
}

// 创建付费群
function createChatRoom(){
    
    // 请求地址
    const reqUrl = 'createChatRoom.php';
    
    $.ajax({
        type: "POST",
        url: 'server/' + reqUrl,
        data: $('#createChatRoom').serialize(),
        success: function(res){
            
            // 成功
            if(res.code == 200){
                
                // 成功
                showSuccessResult(res.msg)
                
                // 隐藏Modal
                setTimeout('hideModal("createChatRoomModal")', 500);
                
                // 隐藏Result
                setTimeout('hideResult()', 700);
                
                // 重新加载列表
                setTimeout('getChatroomPayList();', 800);
            }else{
                
                // 失败
                showErrorResult(res.msg);
            }
        },
        error: function() {
            
            // 服务器发生错误
            showErrorResultForphpfileName(reqUrl);
        }
    });
}

// 提交编辑保存
function editChatRoom(){
    
    // 请求地址
    const reqUrl = 'editChatRoom.php';
    
    $.ajax({
        type: "POST",
        url: 'server/' + reqUrl,
        data: $('#editChatRoom').serialize(),
        success: function(res){
            
            // 成功
            if(res.code == 200){
                
                // 操作提示
                showSuccessResult(res.msg)
                
                // 隐藏Modal
                setTimeout('hideModal("editChatRoomModal")', 500);
                
                // 重新加载列表
                setTimeout('getChatroomPayList()', 600);
            }else{
                
                // 失败
                showErrorResult(res.msg)
            }
        },
        error: function() {
            
            // 服务器发生错误
            showErrorResultForphpfileName(reqUrl);
        }
    });
}

// 编辑群二维码
function editQunQrcode(){
    
    // 请求地址
    const reqUrl = 'editQunQrcode.php';
    
    $.ajax({
        type: "POST",
        url: reqUrl,
        data: $('#editQunQrcode').serialize(),
        success: function(res){
            
            // 成功
            if(res.code == 200){
    
                // 隐藏Modal
                hideModal("editQunQrcodeModal")
                
                // 打开Modal
                showModal("qunQrcodeListModal")
                
                // 刷新列表
                freshenQunQrcodeList(res.qun_id)
            }else{
                
                // 失败
                showErrorResult(res.msg)
            }
        },
        error: function() {
            
            // 服务器发生错误
            showErrorResultForphpfileName(reqUrl);
        }
    });
}

// 删除付费群确认
function delChatRoomConfirm(e){
    $('#delChatRoomConfirmModal .modal-footer').html(
        '<button type="button" class="default-btn center-btn" onclick="delChatRoom('+e.id+');">确定删除</button>'
    )
}

// 确认删除
function delChatRoom(chatroom_id){
    
    // 请求地址
    const reqUrl = 'delChatRoom.php';
    
    $.ajax({
        type: "POST",
        url: 'server/' + reqUrl + '?chatroom_id='+chatroom_id,
        success: function(res){
            
            // 成功
            if(res.code == 200){
                
                // 隐藏Modal
                setTimeout('hideModal("delChatRoomConfirmModal")', 300);
                
                // 重新加载列表
                setTimeout('getChatroomPayList()', 500);
                
                // 显示删除结果
                setTimeout('showNotification("'+res.msg+'")', 600);
            }else{
                
                // 失败
                showErrorResult(res.msg)
            }
        },
        error: function() {
            
            // 服务器发生错误
            showErrorResultForphpfileName(reqUrl);
        }
    });
}

// 获取付费群详情
function getChatRoomInfo(Object){
    
    $('#editChatRoomModal input[name="chatroom_name"]').val(Object.chatroom_name);
    $('#editChatRoomModal input[name="chatroom_amount"]').val(Object.chatroom_amount);
    $('#editChatRoomModal input[name="chatroom_leader_wxid"]').val(Object.chatroom_leader_wxid);
    $('#editChatRoomModal input[name="chatroom_qrcode"]').val(Object.chatroom_qrcode);
    $('#editChatRoomModal textarea[name="chatroom_desc"]').val(Object.chatroom_desc);
    $('#editChatRoomModal input[name="chatroom_memberNum"]').val(Object.chatroom_memberNum);
    $('#editChatRoomModal input[name="chatroom_id"]').val(Object.chatroom_id);
    
    // 获取域名列表
    getDomainNameList('edit')
    $("#editChatRoomModal select[name='chatroom_domain']").append(
        '<option value="'+Object.chatroom_domain+'">'+Object.chatroom_domain+'</option>'
    );
    
    // 页面模板
    if(Object.chatroom_template == 1) {
        
        $("#editChatRoomModal select[name='chatroom_template']").html(
            '<option value="1">官方模板</option>'+
            '<option value="2">详情模板</option>'
        );
    }else {
        
        $("#editChatRoomModal select[name='chatroom_template']").html(
            '<option value="2">详情模板</option>'+
            '<option value="1">官方模板</option>'
        );
    }
}

// 使用 appendOptionsToSelect函数来为每个select元素处理选项的添加
function appendOptionsToSelect(selectElement, dataList) {
    
    if (dataList.length > 0) {
        
        // 有域名
        for (var i = 0; i < dataList.length; i++) {
            
            // 添加至指定的节点
            selectElement.append(
                '<option value="' + dataList[i].domain + '">' + dataList[i].domain + '</option>'
            );
        }
    } else {
        
        // 暂无域名
        selectElement.append('<option value="">暂无域名</option>');
    }
}

// 获取域名列表
function getDomainNameList(module){

    // 获取
    $.ajax({
        type: "GET",
        url: "../../../public/getDomainNameList.php",
        success: function (res) {
            
            // 成功
            if (res.code == 200) {
                
                // 初始化域名列表
                $('select[name="chatroom_domain"]').empty();
                
                // 如果是创建的Modal
                // 初始化表单
                if(module == 'create') {
                    
                    $('#createChatRoomModal input[name="chatroom_name"]').val(Object.chatroom_name);
                    $('#createChatRoomModal input[name="chatroom_leader_wxid"]').val(Object.chatroom_leader_wxid);
                    $('#createChatRoomModal input[name="chatroom_amount"]').val(Object.chatroom_amount);
                    $('#createChatRoomModal input[name="chatroom_qrcode"]').val(Object.chatroom_qrcode);
                    // $('#createChatRoomModal textarea[name="chatroom_desc"]').val(Object.chatroom_desc);
                    $('#createChatRoomModal input[name="chatroom_memberNum"]').val(Object.chatroom_memberNum);
                }
                
                // 将落地域名添加至选项中
                appendOptionsToSelect($("select[name='chatroom_domain']"), res.ldymList);
            } else {
                
                // 操作失败
                showErrorResult(res.msg);
            }
        },
        error: function () {
            
            // 服务器发生错误
            showErrorResult('服务器发生错误！可按F12打开开发者工具点击Network或网络查看返回信息进行排查！');
        }
    });
}

// 分享
function shareChatRoom(Object){
    
    // 初始化二维码
    $("#shareQrcode").html('');

    $.ajax({
        type: "GET",
        url: "server/shareChatRoom.php?chatroom_id="+Object.chatroom_id,
        success: function(res){
            
            // 成功
            if(res.code == 200){
                
                // 长链接
                $("#longUrl").text(res.longUrl);
                
                // 二维码
                new QRCode(document.getElementById("shareQrcode"), res.qrcodeUrl);
            }else{
                
                // 操作反馈（操作失败）
                showErrorResult(res.msg)
            }
        },
        error: function() {
            
            // 服务器发生错误
            showErrorResultForphpfileName('shareQun.php');
        }
    });
}

// 切换状态
function changeChatroomPayStatus(e) {
    
    $.ajax({
        type: "POST",
        url: "server/changeChatroomPayStatus.php?chatroom_id="+e.id,
        success: function(res){
            
            // 成功
            if(res.code == 200){
                
                getChatroomPayList();
            }else{
                
                // 操作失败
                showNotification(res.msg);
            }
        },
        error: function() {
            
            // 服务器发生错误
            showNotification('服务器发生错误');
        }
    });
}

// 获取素材
function getSuCai(pageNum,fromPannel){
    
    // 初始化
    $('#suCaiKu .modal-body .sucai-view').empty('');
    
    // 关闭创建界面
    hideModal('createChatRoomModal');
    
    // 关闭编辑界面
    hideModal('editChatRoomModal');
    
    // 打开素材库界面
    showModal('suCaiKu');
    
    // 将fromPannel的值设置到隐藏的表单中
    $('#suCaiKu input[name="upload_sucai_fromPannel"]').val(fromPannel);
    
    // 判断是否有pageNum参数传过来
    if(pageNum == undefined){
        
        // 没有参数就设置默认值
        var pageNum = 1;
    }
    
    // 获取从哪个面板点击打开的
    if(fromPannel == 'createChatRoomModal'){
        
        // 上一个面板是 createChatRoomModal 
        // 渲染出来的关闭按钮是需要返回 createChatRoomModal 的
        $('#suCaiKu .hideSuCaiPannel_closeIcon').html(
            '<button type="button" class="close" data-dismiss="modal" onclick="hideSuCaiPannel(\'createChatRoomModal\')">&times;</button>'
        );
    }
    
    if(fromPannel == 'editChatRoomModal'){
        
        // 上一个面板是 editChatRoomModal
        // 渲染出来的关闭按钮是需要返回 editChatRoomModal 的
        $('#suCaiKu .hideSuCaiPannel_closeIcon').html(
            '<button type="button" class="close" data-dismiss="modal" onclick="hideSuCaiPannel(\'editChatRoomModal\')">&times;</button>'
        );
    }
    
    // 开始获取素材列表
    $.ajax({
        type: "POST",
        url: "../../../public/getSuCaiList.php?p="+pageNum,
        success: function(res){
            
            // 成功
            if(res.code == 200){
                
                // 遍历数据
                for (var i=0; i<res.suCaiList.length; i++) {
                    
                    // 素材ID
                    var sucai_id = res.suCaiList[i].sucai_id;
                    
                    // 素材文件名
                    var sucai_filename = res.suCaiList[i].sucai_filename;
                    
                    // 素材备注
                    var sucai_beizhu = res.suCaiList[i].sucai_beizhu;
                    
                    // 选择当前点击的素材的函数
                    var clickFunction = "selectSucaiToForm(" + sucai_id + ", '" + fromPannel.trim() + "')";
                    
                    var $sucaiList_HTML = $(
                    '<div class="sucai_msg" title="'+sucai_beizhu+'" onclick="'+clickFunction+'">' +
                    '   <div class="sucai_cover">' +
                    '       <img src="../../../upload/'+sucai_filename+'" />' +
                    '   </div>' +
                    '   <div class="sucai_name">'+sucai_filename+'</div>' +
                    '</div>'
                    );
                    
                    // 渲染HTML
                    $('#suCaiKu .modal-body .sucai-view').append($sucaiList_HTML);
                }
            }else{
                
                // 获取失败
                getSuCaiFail(res.msg);
            }
            
            // 分页控件
            if(res.totalNum > 12){
                
                // 渲染分页控件
                suCaifenyeControl(pageNum,fromPannel,res.nextpage,res.prepage,res.allpage);
                
            }else{
                
                // 隐藏分页控件
                $('#suCaiKu .fenye').css('display','none');
            }
        },
        error: function() {
            
            // 服务器发生错误
            getSuCaiFail('服务器发生错误，请检查getSuCaiList.php服务是否正常！');
        }
    });
}

// 获取素材失败
function getSuCaiFail(text){
    
    $('#suCaiKu .modal-body .sucai-view').html(
        '<div class="loading">'+
        '   <img src="../../../../static/img/noRes.png" class="noRes"/>' +
        '   <br/><p>'+text+'</p>'+
        '</div>'
    );
}

// 选择当前点击的素材
function selectSucaiToForm(sucai_id,fromPannel){
    
    $.ajax({
        type: "POST",
        url: "server/selectSucaiToForm.php?sucai_id="+sucai_id,
        success: function(res){
            
            // 成功
            if(res.code == 200){
                
                // 将二维码设置到表单中
                $('input[name="chatroom_qrcode"]').val(res.suCaiUrl);

                // 隐藏素材面板
                setTimeout("hideModal('suCaiKu')",500);
                
                // 打开fromPannel的Modal
                setTimeout("showModal('"+fromPannel+"')",800);
                
            }
        },
        error: function() {
            
            // 服务器发生错误
            showErrorResultForphpfileName('selectSucaiForCreate.php');
        }
    });
    
    // 解决一个bug
    setTimeout("$('body').attr('class', 'modal-open')",1600);
}

// 素材库分页组件
function suCaifenyeControl(thisPage,fromPannel,nextPage,prePage,allPage){

    if(thisPage == 1 && allPage == 1){
        
        // 当前页码=1且总页码=1
        // 无需显示分页组件
        $('#suCaiKu .fenye').css('display','none');
        
    }else if(thisPage == 1 && allPage > 1){
        
        // 当前页码=1且总页码>1
        // 代表还有下一页
        var $suCaiFenye = $(
        '<ul>' +
        '   <li>' +
        '       <button title="当前是第一页">' +
        '           <img src="../../../../static/img/firstPage_.png" style="opacity:0.3;" />' +
        '       </button>' +
        '   </li>' +
        '   <li>' +
        '       <button title="暂无上一页">' +
        '           <img src="../../../../static/img/prevPage_.png" style="opacity:0.3;" />' +
        '       </button>' +
        '   </li>' +
        '   <li>' +
        '       <button id="'+nextPage+'_'+fromPannel+'" onclick="getSuCaiFenyeData(this);" title="下一页">' +
        '           <img src="../../../../static/img/nextPage.png" />' +
        '       </button>' +
        '   </li>' +
        '   <li>' +
        '       <button id="'+allPage+'_'+fromPannel+'" onclick="getSuCaiFenyeData(this);" title="最后一页">' +
        '           <img src="../../../../static/img/lastPage.png" />' +
        '       </button>' +
        '   </li>' +
        '</ul>'
        );
        
        // 显示组件
        $('#suCaiKu .fenye').css('display','block');
        
    }else if(thisPage == allPage){
        
        // 当前页码=总页码
        // 代表这是最后一页
        var $suCaiFenye = $(
        '<ul>' +
        '   <li>' +
        '       <button id="1_'+fromPannel+'" onclick="getSuCaiFenyeData(this);" title="第一页">' +
        '           <img src="../../../../static/img/firstPage.png" />' +
        '       </button>' +
        '   </li>' +
        '   <li>' +
        '       <button id="'+prePage+'_'+fromPannel+'" onclick="getSuCaiFenyeData(this);" title="上一页">' +
        '           <img src="../../../../static/img/prevPage.png" />' +
        '       </button>' +
        '   </li>' +
        '   <li>' +
        '       <button title="暂无下一页">' +
        '           <img src="../../../../static/img/nextPage_.png" style="opacity:0.3;" />' +
        '       </button>' +
        '   </li>' +
        '   <li>' +
        '       <button title="当前是最后一页">' +
        '           <img src="../../../../static/img/lastPage_.png" style="opacity:0.3;" />' +
        '       </button>' +
        '   </li>' +
        '</ul>'
        );
        
        // 显示组件
        $('#suCaiKu .fenye').css('display','block');
        
    }else{
        
        // 其他情况
        // 需要显示所有组件
        var $suCaiFenye = $(
        '<ul>' +
        '   <li>' +
        '       <button id="1_'+fromPannel+'" onclick="getSuCaiFenyeData(this);" title="第一页">' +
        '           <img src="../../../../static/img/firstPage.png" />' +
        '       </button>' +
        '   </li>' +
        '   <li>' +
        '       <button id="'+prePage+'_'+fromPannel+'" onclick="getSuCaiFenyeData(this);" title="上一页">' +
        '           <img src="../../../../static/img/prevPage.png" />' +
        '       </button>' +
        '   </li>' +
        '   <li>' +
        '       <button id="'+nextPage+'_'+fromPannel+'" onclick="getSuCaiFenyeData(this);" title="下一页">' +
        '           <img src="../../../../static/img/nextPage.png" />' +
        '       </button>' +
        '   </li>' +
        '   <li>' +
        '       <button id="'+allPage+'_'+fromPannel+'" onclick="getSuCaiFenyeData(this);" title="最后一页">' +
        '           <img src="../../../../static/img/lastPage.png" />' +
        '       </button>' +
        '   </li>' +
        '</ul>'
        );
        
        // 显示组件
        $('#suCaiKu .fenye').css('display','block');
    }
    
    // 渲染分页组件
    $('#suCaiKu .fenye').html($suCaiFenye);
}

// 获取素材库分页数据
function getSuCaiFenyeData(e){
    
    var FenyeData = e.id;
    var FenyeData_parts = FenyeData.split("_");
    var pageNum = FenyeData_parts[0]; // 页码
    var fromPannel = FenyeData_parts[1]; // 来源
    
    // 获取该页列表
    getSuCai(pageNum,fromPannel);
}

// 素材库的界面关闭后
// 点击右上角X会返回上一步
function hideSuCaiPannel(fromPannel){
    
    // 先隐藏suCaiKu面板
    hideModal('suCaiKu');
    
    // 根据fromPannel决定打开哪个Modal
    if(fromPannel == 'createChatRoomModal'){
        
        showModal('createChatRoomModal')
    }else if(fromPannel == 'editChatRoomModal'){

        showModal('editChatRoomModal')
    }
    
    // 解决一个bug
    setTimeout("$('body').attr('class', 'modal-open')",1600);
}

// 获取配置信息
function getChatRoomPayConfig(){
    
    // 请求地址
    const reqUrl = 'getChatRoomPayConfig.php';
    
    $.ajax({
        type: "POST",
        url: 'server/' + reqUrl,
        success: function(res){
            
            // 成功
            if(res.code == 200){
    
                const fields = [
                    'payapi_domain', 
                    'payapi_merchant_id', 
                    'payapi_merchant_key', 
                    'qywx_AgentId', 
                    'qywx_Secret', 
                    'qywx_Appid',
                    'qywx_auth_domain'
                ];
                fields.forEach(field => {
                    $(`#chatRoomPayConfigModal input[name="${field}"]`).val(res.chatRoomPayConfig[field]);
                });
            }else{
                
                // 失败
                showErrorResult(res.msg)
            }
        },
        error: function() {
            
            // 服务器发生错误
            showErrorResult('服务器发生错误');
        }
    });
}

// 保存配置信息
function saveChatRoomPayConfig(){
    
    // 请求地址
    const reqUrl = 'saveChatRoomPayConfig.php';
    
    $.ajax({
        type: "POST",
        url: 'server/' + reqUrl,
        data: $('#chatRoomPayConfig').serialize(),
        success: function(res){
            
            // 成功
            if(res.code == 200){
    
                // 隐藏Modal
                setTimeout('showSuccessResult("'+res.msg+'")', 500);
                setTimeout('hideModal("chatRoomPayConfigModal")', 1000);
                
                // 显示结果
                setTimeout('showNotification("'+res.msg+'")', 1100);
            }else{
                
                // 失败
                showErrorResult(res.msg)
            }
        },
        error: function() {
            
            // 服务器发生错误
            showErrorResult('服务器发生错误');
        }
    });
}

// 注销登录
function exitLogin(){
    
    $.ajax({
        type: "POST",
        url: "../../../login/exitLogin.php",
        success: function(res){
            
            // 成功
            if(res.code == 200){
                
                // 刷新
                location.reload();
            }
        },
        error: function() {
            
            // 服务器发生错误
            showErrorResultForphpfileName('exitLogin.php');
        }
    });
}

// 初始化（加载付费群列表）
function initialize_getChatroomPayList(){
    $("#right .data-list").css('display','block');
    $("#right .data-card .loading").css('display','none');
    $("#right .data-list tbody").empty('');
}

// 生成随机token
function creatPageToken(length) {
    var str = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    var result = '';
    for (var i = length; i > 0; --i) 
        result += str[Math.floor(Math.random() * str.length)];
    return result;
}

// 隐藏Modal（传入节点id决定隐藏哪个Modal）
function hideModal(modal_Id){
    $('#'+modal_Id+'').modal('hide');
}

// 显示Modal（传入节点id决定隐藏哪个Modal）
function showModal(modal_Id){
    $('#'+modal_Id+'').modal('show');
}

// 提醒页面
function warningPage(text){
    $("#right .data-list").css('display','none');
    $("#right .data-card .loading").html('<img src="../../static/img/warningIcon.png"/><br/><p>'+text+'</p>');
    $("#right .data-card .loading").css('display','block');
}

function noLimit(text){
    
    $("#right .data-list").css('display','none');
    $("#right .data-card .loading").html(
    '<img src="../../static/img/noLimit.png" class="noData" /><br/>' +
    '<p class="noDataText">'+text+'</p>'
    );
    $("#right .data-card .loading").css('display','block');
}

// 暂无数据
function noData(text){
    
    $("#right .data-list").css('display','none');
    $("#right .data-card .loading").html(
    '<img src="../../../../static/img/noData.png" class="noData" /><br/>' +
    '<p class="noDataText">'+text+'</p>'
    );
    $("#right .data-card .loading").css('display','block');
}

// 打开操作反馈（操作成功）
function showSuccessResult(content){
    $('#app .result').html('<div class="success">'+content+'</div>');
    $('#app .result .success').css('display','block');
    setTimeout('hideResult()', 2500); // 2.5秒后自动关闭
}

// 打开操作反馈（操作成功）
function showSuccessResultTimes(content,times){
    $('#app .result').html('<div class="success">'+content+'</div>');
    $('#app .result .success').css('display','block');
    setTimeout('hideResult()', times);
}

// 打开操作反馈（操作失败）
function showErrorResult(content){
    $('#app .result').html('<div class="error">'+content+'</div>');
    $('#app .result .error').css('display','block');
    setTimeout('hideResult()', 2500);
}

// 排查提示1
function showErrorResultForphpfileName(phpfileName){
    $('#app .result').html('<div class="error">服务器发生错误！可按F12打开开发者工具点击Network或网络查看'+phpfileName+'的返回信息进行排查！<a href="../../static/img/tiaoshi.jpg" target="blank">点击查看排查方法</a></div>');
    $('#app .result .error').css('display','block');
    setTimeout('hideResult()', 3000);
}

// 排查提示2
function errorPage(from,text){
    
    if(from == 'data-list'){
        
        $("#right .data-list").css('display','none');
        $("#right .data-card .loading").html(
            '<img src="../../static/img/errorIcon.png"/><br/>' +
            '<p>服务器发生错误！可按F12打开开发者工具点击Network或网络查看'+text+'的返回信息进行排查！</p>' +
            '<a href="../../static/img/tiaoshi.jpg" target="blank">点击查看排查方法</a>'
        );
        $("#right .data-card .loading").css('display','block');
    }else if(from == 'data-card'){
        
        $("#right .data-card").html(
            '<img src="../../static/img/errorIcon.png"/><br/>' +
            '<p>服务器发生错误！可按F12打开开发者工具点击Network或网络查看'+text+'的返回信息进行排查！</p>' +
            '<a href="../../static/img/tiaoshi.jpg" target="blank">点击查看排查方法</a>'
        );
    }else if(from == 'qrcode-list'){

        $("#qunQrcodeListModal table").html(
            '<img src="../../static/img/errorIcon.png"/><br/>' +
            '<p>服务器发生错误！可按F12打开开发者工具点击Network或网络查看'+text+'的返回信息进行排查！</p>' +
            '<a href="../../static/img/tiaoshi.jpg" target="blank">点击查看排查方法</a>'
        );
    }else if(from == 'bingliuList'){

        $("#bingliuModal .bingliuList").html(
            '<img src="../../static/img/errorIcon.png" class="errorIMG" /><br/>' +
            '<p class="errorTEXT">服务器发生错误！可按F12打开开发者工具点击Network或网络查看'+text+'的返回信息进行排查！</p>' +
            '<a href="../../static/img/tiaoshi.jpg" target="blank" class="errorA">点击查看排查方法</a>'
        );
    }
    
}

// 关闭操作反馈
function hideResult(){
    $("#app .result .success").css("display","none");
    $("#app .result .error").css("display","none");
    $("#app .result .success").text('');
    $("#app .result .error").text('');
}

// 显示指定元素
function showElementBy(csspath){
    
    // 传入CSS路径
    $(csspath).css('display','block');
}

// 隐藏指定元素
function hideElementBy(csspath){
    
    // 传入CSS路径
    $(csspath).css('display','none');
}

// 显示全局信息提示弹出提示
function showNotification(message) {
    
    // 获取文案
	$('#notification-text').text(message);
	
    // 计算文案长度并设置宽度
	var textLength = message.length * 25;
	$('#notification-text').css('width',textLength+'px');
	
    // 距离顶部的高度
	$('#notification').css('top', '25px');
	
    // 延迟隐藏
	setTimeout(function() {
		hideNotification();
	}, 3000);
}

// 隐藏全局信息提示弹出提示
function hideNotification() {
	var $notificationContainer = $('#notification');
	$notificationContainer.css('top', '-100px');
}

// 跳转到指定路径
function jumpUrl(jumpUrl){
    
    // 1秒后跳转至jumpUrl
    setTimeout('location.href="'+jumpUrl+'"',1000);
}

// 设置URL路由
function setRouter(pageNum){
    
    // 根据页码+token设置路由
    window.history.pushState('', '', '?p='+pageNum+'&token='+creatPageToken(32));
}

// 获取URL参数
function queryURLParams(url) {
    var pattern = /(\w+)=(\w+)/ig;
    var parames = {};
    url.replace(pattern, ($, $1, $2) => {
        parames[$1] = $2;
    });
    return parames;
}

console.log('%c欢迎使用私域引流宝！','color:#3B5EE1;font-size:16px;font-family:"微软雅黑"');